# Configuration file

client {
    # Rendering contents in all directions. WIP feature.
    B:AlwaysRenderDrinkro=false

    # List of axes that will show in JEI recipes. Does not affect chopping board behavior.
    S:AxeList <
        minecraft:wooden_axe
        minecraft:stone_axe
        minecraft:iron_axe
        minecraft:golden_axe
        minecraft:diamond_axe
     >
    B:ShowHoloGui=true
}


compat {
    D:NormalNutrientModifier=0.5
    D:SupernaturalNutrientModifier=0.20000000298023224
}


##########################################################################################################
# general
#--------------------------------------------------------------------------------------------------------#
# General settings of Cuisine.
##########################################################################################################

general {
    # one = 250mB
    B:AttachWaterBottleCapability=true

    # Automatically unlock all recipes for all newly spawned players.
    B:AutoRecipeUnlocking=true

    # Allow axes to chop things on chopping board. Provided for mod pack creators.
    B:AxeChopping=true

    # Min: 1
    # Max: 64
    I:AxeChoppingPlanksOutput=6

    # Min: 1
    # Max: 64
    I:AxeChoppingStickOutput=4

    # If true, bamboo can be used as a blowpipe which can shoot seeds.
    B:BambooBlowpipe=false
    I:BasicSeedsWeight=5
    B:BasinConvertingConcrete=true

    # If true, natural sunlight will be considered as a valid heat source for earthen basin.
    B:BasinHeatingInDaylight=true
    B:BetterHarvest=true
    S:BetterHarvestBlacklist <
     >
    I:DrinkroUsesFE=0
    B:EnableSqueezer=true
    B:FruitDrops=true

    # Min: 0
    # Max: 100
    I:FruitGrowingSpeed=15

    # Juice squeezing amount in mB
    I:JuiceSqueezingAmount=250

    # Length of one mill working cycle, measured in ticks. Ideally, there are 20 ticks in 1 second.
    # Min: 1
    # Max: 2147483647
    I:MillWorkCycle=160
    B:PassableLeaves=false
    B:RareCrops=true

    # Give player the manual of Cuisine Mod when they firstly spawn in world.
    B:SpawnBook=false
    I:SqueezerUsesFE=0
    D:WinePotionDurationModifier=1.0
}


##########################################################################################################
# hardcore
#--------------------------------------------------------------------------------------------------------#
# Config options of Cuisine Hardcore Module.
##########################################################################################################

hardcore {
    B:BadSkillPunishment=true

    # If Culinary Skill Downgrade on Death is enabled, this will determines how many point are kept.
    # For example, 0.5 means 50% are kept.
    # Min: 0.0
    # Max: 1.0
    D:CulinarySkillRetainRatio=1.0
    B:DisableGenericFood=false

    # If true, hardcore module will be turned on.
    B:Enable=true

    # If HardcoreFoodLevel is enabled, food item that is listed here will NOT be affected.
    S:FoodLevelDowngradeBlacklist <
     >

    # If HardcoreFoodLevel is enabled, this will determine how much heal amount and saturation you can still get.
    D:FoodLevelRetainRatio=0.5

    # If true, bread will require mill to make.
    B:HardcoreBread=true

    # If true, cookie will require furnace to make.
    B:HardcoreCookie=true

    # If true, player will lose culinary skill points when they died.
    B:HardcoreCulinarySkill=false

    # If true, certain foods will give you fewer heal amount and saturation.
    B:HardcoreFoodLevel=true

    # If true, sugar will require mill to make.
    B:HardcoreSugar=true
}


##########################################################################################################
# worldgen
#--------------------------------------------------------------------------------------------------------#
# Configurable variables related to world generation
##########################################################################################################

worldgen {
    I:BamboosGenDimensions <
        0
     >

    # Generation rate of bamboo; larger value means higher generation rate; set to 0 to disable.
    # Min: 0
    # Max: 100
    I:BamboosGenWeight=6
    I:CropsGenDimensions <
        0
     >

    # Generation rate of wild crops; larger value means higher generation rate; set to 0 to disable.
    # Min: 0
    # Max: 100
    I:CropsGenWeight=40
    I:FruitTreesGenDimensions <
        0
     >

    # Generation rate of fruit trees; larger value means higher generation rate; set to 0 to disable.
    # Min: 0
    # Max: 100
    I:FruitTreesGenWeight=50
    B:LegacyBamboosGen=false
}


